GET api/InvestorRelation/Portfolio?investorId={investorId}

Gets investor relation portfolio. Stub response.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
investorId

integer

Required

Body Parameters

None.

Response Information

Resource Description

Investor_Relation_Portfolio
NameDescriptionTypeAdditional information
PortfolioValue

decimal number

None.

TotalReturn

decimal number

None.

Holdings

integer

None.

Portfolio_Performance

Collection of PortfolioPerformance

None.

Portfolio_Allocation

Collection of PortfolioAllocation

None.

Investor_Transactions

Collection of Resent_Transactions

None.

Response Formats

application/json, text/json

Sample:
{
  "PortfolioValue": 1.0,
  "TotalReturn": 2.0,
  "Holdings": 3,
  "Portfolio_Performance": [
    {
      "year": 1,
      "month": 2,
      "performance": 3.0
    },
    {
      "year": 1,
      "month": 2,
      "performance": 3.0
    }
  ],
  "Portfolio_Allocation": [
    {
      "fundName": "sample string 1",
      "allocated_amount": 2.0,
      "allocated_percentage": 3.0
    },
    {
      "fundName": "sample string 1",
      "allocated_amount": 2.0,
      "allocated_percentage": 3.0
    }
  ],
  "Investor_Transactions": [
    {
      "paymentSource": "sample string 1",
      "type": "sample string 2",
      "amount": 3.0,
      "status": "sample string 4",
      "timeStamp": "2026-04-19T08:21:06.7280365-05:00"
    },
    {
      "paymentSource": "sample string 1",
      "type": "sample string 2",
      "amount": 3.0,
      "status": "sample string 4",
      "timeStamp": "2026-04-19T08:21:06.7280365-05:00"
    }
  ]
}